Subject: Re: bug#18955: Makefile:382: recipe for target 'src' failed

From: Alexander Shukaev <[email-masked]>
Date: Sun, 9 Nov 2014 21:25:38 +0100

>
> MSYS paths are not only those of the form "/c/foo".  For example:
> "/home/dani/foo", "/usr/local" and, in general any UNIX-like path are
> valid MSYS paths.
>

 These are out of the scope right now. You are actually not supposed to
pass them outside MSYS2 Shells... Nevertheless, even these ones can be
dealt with in future perspective.

Therefore, it is clear that supporting MSYS/Cygwin paths from the
> MS-Windows port of Emacs is far more complex that simply translating
> "/C" into "C:".

Absolute paths which are present everywhere in the daily workflow, not only
during builds, but for instance by invoking Emacs from MSYS/Cygwin shell
and passing paths to it, should definitely be supported, and it is as easy
as my proposal.